Package ru.bitel.bgbilling.kernel.contract.balance.server.event

# Class ContractBalanceChangedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.PoolEvent
ru.bitel.bgbilling.kernel.contract.balance.server.event.ContractBalanceChangedEvent

All Implemented Interfaces:
  `Serializable`

public class ContractBalanceChangedEvent extends ru.bitel.bgbilling.kernel.event.common.PoolEvent
Событие топик, рассылающееся всем приложениям об изменении баланса.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `RESERVE_CHANGE`
  Создание резерва или его изменение.
  `static final int`
  `RESERVE_CLOSE`
  Закрыте резерва.
  `static final int`
  `TYPE_ACCOUNT_CHANGE`
  Изменение наработки на указанную сумму
  `static final int`
  `TYPE_ACCOUNT_SET`
  Установка наработки.
  `static final int`
  `TYPE_CHARGE_CHANGE`
  Изменение расхода на указанную сумму.
  `static final int`
  `TYPE_PAYMENT_CHANGE`
  Изменение прихода на указанную сумму.

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractBalanceChangedEvent()`
  ``
  `ContractBalanceChangedEvent(int contractId, int type, int year, int month, BigDecimal summa)`
  ``
  `ContractBalanceChangedEvent(int contractId, int type, BigDecimal summa)`
  Конструктор создания события об изменние платежа или расхода
  ``
  `ContractBalanceChangedEvent(int contractId, int type, Date date, BigDecimal summa)`
  ``
  `ContractBalanceChangedEvent(int contractId, BigDecimal summa)`
  Deprecated.
  Use `ContractBalanceChangedEvent(int,int,BigDecimal)` instead

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMonth()`
  `BigDecimal`
  `getSumma()`
  `int`
  `getType()`
  `int`
  `getYear()`
  `protected void`
  `toString(StringBuilder sb)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_ACCOUNT_CHANGE

    public static final int TYPE_ACCOUNT_CHANGE
    Изменение наработки на указанную сумму
    See Also:
      - Constant Field Values

  - ### TYPE_ACCOUNT_SET

    public static final int TYPE_ACCOUNT_SET
    Установка наработки.
    See Also:
      - Constant Field Values

  - ### TYPE_PAYMENT_CHANGE

    public static final int TYPE_PAYMENT_CHANGE
    Изменение прихода на указанную сумму.
    See Also:
      - Constant Field Values

  - ### TYPE_CHARGE_CHANGE

    public static final int TYPE_CHARGE_CHANGE
    Изменение расхода на указанную сумму.
    See Also:
      - Constant Field Values

  - ### RESERVE_CHANGE

    public static final int RESERVE_CHANGE
    Создание резерва или его изменение.
    See Also:
      - Constant Field Values

  - ### RESERVE_CLOSE

    public static final int RESERVE_CLOSE
    Закрыте резерва.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContractBalanceChangedEvent

    protected ContractBalanceChangedEvent()

  - ### ContractBalanceChangedEvent

    public ContractBalanceChangedEvent(int contractId, int type, int year, int month, BigDecimal summa)

  - ### ContractBalanceChangedEvent

    public ContractBalanceChangedEvent(int contractId, int type, Date date, BigDecimal summa)

  - ### ContractBalanceChangedEvent

    @Deprecated public ContractBalanceChangedEvent(int contractId, BigDecimal summa)
    Deprecated.
    Use `ContractBalanceChangedEvent(int,int,BigDecimal)` instead
    Конструктор создания события об изменние платежа или расхода
    Parameters:
      `contractId` -
      `summa` -

  - ### ContractBalanceChangedEvent

    public ContractBalanceChangedEvent(int contractId, int type, BigDecimal summa)
    Конструктор создания события об изменние платежа или расхода
    Parameters:
      `contractId` -
      `type` - TODO
      `summa` -

- ## Method Details

  - ### getType

    public int getType()

  - ### getYear

    public int getYear()

  - ### getMonth

    public int getMonth()

  - ### getSumma

    public BigDecimal getSumma()

  - ### toString

    protected void toString(StringBuilder sb)
    Overrides:
      `toString` in class `ru.bitel.bgbilling.kernel.event.common.Event`